# frozen_string_literal: true

module Formulas
  # Provide calculation for household expenses based on the number of child
  # and single or pair of adults
  #
  # source = Household::Source.new(independent_expenses: [1262, 1878], dependent_expenses: 347)
  # household = Household.new(independents: integer, dependents: integer, source: source)
  #
  # household.cal(:month)
  #
  class HouseHold
    def initialize(independents:, dependents:, source: Source.new)
      @independents = independents
      @dependents = dependents
      @source = source
    end

    def cal
      @source.calculate_expense(independents: @independents, dependents: @dependents)
    end
  end
end