# frozen_string_literal: true

module Formulas
  module Expense
    module Household
      class Source
        DEFAULT_INDEPENDENT_EXPENSE = [1_262, 1_878]
        DEFAULT_DEPENDENT_EXPENSE = 347
        MAX_DEPENDENT = 4
        MAX_INDEPENDENT = 2

        def calculate_expense(independents:, dependents:)
          validate(independents, dependents)

          ind_exp = DEFAULT_DEPENDENT_EXPENSE[0..independents].sum
          de_exp = dependents * DEFAULT_DEPENDENT_EXPENSE
          ind_exp + de_exp
        end

        private

        def validate(independents, dependents)
          raise "" if independents < 0
          raise "" if dependents < 0
        end
      end
    end
  end
end