# frozen_string_literal: true

module Formulas
  module Income
    extend self
    DEFAULT_KIWISAVER = 3
    DEFAULT_SUPER = 9.5

    # Income.monthly_benefit_payment(100, :weekly)
    # => 433
    def monthly_benefit_payment(amount, frequency)
      amount * Formulas::MULTIPLIER_IN_FREQUENCY[frequency] / 12
    end

    alias monthly_boarder_income monthly_benefit_payment

    # Income.monthly_rental_income(100, :weekly)
    # => 325
    def monthly_rental_income(amount, frequency, fraction: 0.75)
      (amount * Formulas::MULTIPLIER_IN_FREQUENCY[frequency] / 12) * fraction
    end
  end
end