# frozen_string_literal: true
#
module Formulas
  class LoanPrincipalCalculator
    attr_accessor :apr, :months, :repayment

    def divide_by
      interest_with_principal - 1
    end

    def interest_with_principal
      (1 + (apr / 12)) ** months
    end

    def principal
      (((repayment * divide_by) / interest_with_principal) * 12 ) / apr
    end
  end
end